UpdateCredential
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Principal.UpdateCredential(ctx, operations.C1APIServicePrincipalV1ServicePrincipalServiceUpdateCredentialRequest{
ID: "<id>",
ServicePrincipalID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ServicePrincipalServiceUpdateCredentialResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.principal.updateCredential({
servicePrincipalId: "<id>",
id: "<id>",
});
console.log(result);
}
run();curl --request PATCH \
--url https://{tenantDomain}.conductor.one/api/v1/service_principals/{service_principal_id}/credentials/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credential": {
"displayName": "<string>"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/service_principals/{service_principal_id}/credentials/{id}"
payload = {
"credential": { "displayName": "<string>" },
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({credential: {displayName: '<string>'}, updateMask: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/service_principals/{service_principal_id}/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credential": {
"allowSourceCidrs": [
"<string>"
],
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"requireDpop": true,
"scopedRoleIds": [
"<string>"
],
"servicePrincipalId": "<string>"
}
}Service Principal
Update Credential
UpdateCredential updates a client credential for a service principal.
PATCH
/
api
/
v1
/
service_principals
/
{service_principal_id}
/
credentials
/
{id}
UpdateCredential
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Principal.UpdateCredential(ctx, operations.C1APIServicePrincipalV1ServicePrincipalServiceUpdateCredentialRequest{
ID: "<id>",
ServicePrincipalID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ServicePrincipalServiceUpdateCredentialResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.principal.updateCredential({
servicePrincipalId: "<id>",
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The service principal ID.
The unique ID of the credential (cutename format).
Body
application/json
Response
200 - application/json
Successful response
The ServicePrincipalServiceUpdateCredentialResponse message.
ServicePrincipalCredential represents a client credential for a service principal.
Show child attributes
Show child attributes
Was this page helpful?
⌘I